nlu:
  - 
    intent: greet
    examples: |
      - Hi
      - Hey!
      - Hallo
      - Good day
      - Good morning
      - howdy

  -
    intent: howareyou
    examples: |
      - how are you?
      - wus up
      - what's going on?

  - 
    intent: inform_goodmood_polite
    examples: |
      - I'm great! How are you?
      - i'm good how're you

  - 
    intent: inform_goodmood_rude
    examples: |
      - I'm great!
      - i'm good!
      - I'm awesome!
      - I had an awesome day and did all sorts of awesome stuff. I'm an awesome person!
      - I'm splendid!

  - 
    intent: inform_downmood_polite
    examples: |
      - Not so great. How are you.
      - i'm under the weather. It's been a really bad day for me. how about you?
      - k, you?
      - Pretty bummed, how about you

  - 
    intent: subscribe
    examples: |
      - I want to get the newsletter
      - Can you send me the newsletter?
      - Can you sign me up for the newsletter?

  - 
    intent: inform
    examples: |
      - My email is example@example.com
      - random@example.com
      - Please send it to anything@example.com
      - Email is something@example.com
responses:
   utter_greet:
       - text: |
           Hello! How can I help you?
       - text: |
           Hi!
   utter_ask_email:
       - text: |
           What is your email address?
   utter_subscribed:
       - text: |
           Check your inbox at {email} in order to finish subscribing to the newsletter!
       - text: |
           You're all set! Check your inbox at {email} to confirm your subscription.
   utter_respond_howareyou:
       - text: |
           I'm fine. But bots are always fine. How are you doing?
       - text: |
           I'm OK. I'm just a bot. How are you?
       - text: |
           I'm doing great! It's fun to learn from humans. How about you?
   utter_inform_goodmood_polite:
       - text: |
           I'm fine. But bots are always fine. Tell me more about why you are feeling good.
       - text: |
           I'm OK. I'm just a bot. What did you do today.
       - text: |
           I'm doing great! It's fun to learn from humans. What's the weather like where you are.

stories:
 - story: greet and subscribe
   steps:
   - intent: greet
   - action: utter_greet
   - intent: subscribe
   # - action: newsletter_form
   # - active_loop: newsletter_form
 - story: greet and howareyou
   steps:
   - intent: greet
   - action: utter_greet
   - intent: howareyou
   - action: utter_respond_howareyou
 - story: howareyou
   steps:
   - intent: howareyou
   - action: utter_respond_howareyou
   - intent: inform_goodmood_polite
   - action: utter_inform_goodmood_polite


# forms:
#   newsletter_form:
#     email:
#     - type: from_text

# rules:
#  - rule: activate subscribe form
#    steps:
#    - intent: subscribe
#    - action: newsletter_form
#    - active_loop: newsletter_form

#  - rule: submit form
#    condition:
#    - active_loop: newsletter_form
#    steps:
#    - action: newsletter_form
#    - active_loop: null
#    - action: utter_subscribed
